View Issue Details

IDProjectCategoryView StatusLast Update
0020867mantisbtadministrationpublic2016-06-12 00:42
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.3.0-rc.1 
Target Version1.3.0-rc.2Fixed in Version1.3.0-rc.2 
Summary0020867: Edit Category Page fails when default user is deleted
Description

When a user is deleted, the page doesn't render with error "user doesn't exist". Hence, not enabling the manage to replace a deleted user.

Tagsmantishub

Activities

Related Changesets

MantisBT: master 45ed88b8

2016-05-02 11:25:06

vboctor

Details Diff
Fix error when category default handler is deleted

- Fix the error in edit category page.
- Don't assign to default handler on reporting an issue unless user exists.

Fixes 0020867
mod - core/bug_api.php Diff File
mod - core/print_api.php Diff File

Issue History

Date Modified Username Field Change
2016-05-02 11:16 vboctor New Issue
2016-05-02 11:16 vboctor Status new => assigned
2016-05-02 11:16 vboctor Assigned To => vboctor
2016-05-02 11:16 vboctor Tag Attached: mantishub
2016-05-02 11:25 vboctor Note Added: 0053055
2016-05-03 11:11 vboctor Changeset attached => MantisBT master 45ed88b8
2016-05-03 11:11 vboctor Status assigned => resolved
2016-05-03 11:11 vboctor Resolution open => fixed
2016-05-03 11:11 vboctor Fixed in Version => 1.3.0-rc.2
2016-06-12 00:42 vboctor Status resolved => closed